function [Y_A, X_A, P_A, omega_dms, Epsilon_A1, Eps_m, Eps_n] = ALBERS_proj( Fi_0, La_0, Fi_1, Fi_2, Fi, La, a, f, b, eks )

%clc
%clear all
%a = 6378137.000;
%f = 1/298.257223563;
[b, eks] = Parametri_b_eks(a,f);
%sredina toka projekcije
%Fi_0 = 38;
%La_0 = 20;

%Fi_1 = 29.30;
%Fi_2 = 45.30;

%Fi = 45.30;
%La = 20;

Fi_0_rad = dms2rad(Fi_0);
Fi_rad = dms2rad(Fi);
Fi_1_rad = dms2rad(Fi_1);
Fi_2_rad = dms2rad(Fi_2);

La_0_rad = dms2rad(La_0);
La_rad = dms2rad(La);


W = (1 - eks^2*sin(Fi_rad)^2)^(1/2);
W_1 = (1 - eks^2*sin(Fi_1_rad)^2)^(1/2);
W_2 = (1 - eks^2*sin(Fi_2_rad)^2)^(1/2);

Q = (1-eks^2)*((sin(Fi_rad)/(1-eks^2*sin(Fi_rad)^2)) - (1/(2*eks))*log((1-eks*sin(Fi_rad))/(1+eks*sin(Fi_rad))));
Q_1 = (1-eks^2)*((sin(Fi_1_rad)/(1-eks^2*sin(Fi_1_rad)^2)) - (1/(2*eks))*log((1-eks*sin(Fi_1_rad))/(1+eks*sin(Fi_1_rad))));
Q_2 = (1-eks^2)*((sin(Fi_2_rad)/(1-eks^2*sin(Fi_2_rad)^2)) - (1/(2*eks))*log((1-eks*sin(Fi_2_rad))/(1+eks*sin(Fi_2_rad))));
Q_0 = (1-eks^2)*((sin(Fi_0_rad)/(1-eks^2*sin(Fi_0_rad)^2)) - (1/(2*eks))*log((1-eks*sin(Fi_0_rad))/(1+eks*sin(Fi_0_rad))));

k = ((cos(Fi_1_rad)/W_1)^2 - (cos(Fi_2_rad)/W_2)^2)/(Q_2 - Q_1);

C = (cos(Fi_1_rad)/W_1)^2 + k*Q_1;

delta_rad = k*(La_rad - La_0_rad);
Ro = (a/k)*(C-k*Q)^(1/2);
Ro_0 = (a/k)*(C-k*Q_0)^(1/2);

Y_A = Ro* sin(delta_rad);
X_A = Ro_0 - Ro*cos(delta_rad);

N = Polmer_vertikala(a, f, Fi);

n_A = k*Ro/(N*cos(Fi_rad));
m_A = 1/n_A;

A = (m_A^2 + n_A^2 + 2*m_A*n_A)^(1/2);
B = (m_A^2 + n_A^2 - 2*m_A*n_A)^(1/2);

a_A = (A+B)/2;
b_A = (A-B)/2;

omega = 2*atan(1/2*abs(n_A-m_A));
omega_dms = rad2dms(omega);

P_A = a_A * b_A;

Epsilon_A1 = sqrt(1/2*((a_A - 1)^2 + (b_A - 1)^2));

Eps_m = abs(m_A - 1);

Eps_n = abs(n_A - 1);

