function [ Fi_dms, La_dms ] = Albers_inv( Fi_0, La_0, Fi_1, Fi_2, x_A, y_A, a, f, eks)

%clc
%clear all
%a = 6378137.000;
%f = 1/298.257223563;
%[b, eks] = Parametri_b_eks(a,f);
%sredina toka projekcije
%Fi_0 = 50;
%La_0 = 20;
%x_A = 3268418.5312919; 
%y_A = -1570375.1136722; 
%Fi_1 = 45;
%Fi_2 = 60;

Fi_1_rad = dms2rad(Fi_1);
Fi_2_rad = dms2rad(Fi_2);

Fi_0_rad = dms2rad(Fi_0);
La_0_rad = dms2rad(La_0);

W_1 = (1 - eks^2*sin(Fi_1_rad)^2)^(1/2);
W_2 = (1 - eks^2*sin(Fi_2_rad)^2)^(1/2);


Q_1 = (1-eks^2)*((sin(Fi_1_rad)/(1-eks^2*sin(Fi_1_rad)^2)) - (1/(2*eks))*log((1-eks*sin(Fi_1_rad))/(1+eks*sin(Fi_1_rad))));
Q_2 = (1-eks^2)*((sin(Fi_2_rad)/(1-eks^2*sin(Fi_2_rad)^2)) - (1/(2*eks))*log((1-eks*sin(Fi_2_rad))/(1+eks*sin(Fi_2_rad))));
Q_0 = (1-eks^2)*((sin(Fi_0_rad)/(1-eks^2*sin(Fi_0_rad)^2)) - (1/(2*eks))*log((1-eks*sin(Fi_0_rad))/(1+eks*sin(Fi_0_rad))));

k = ((cos(Fi_1_rad)/W_1)^2 - (cos(Fi_2_rad)/W_2)^2)/(Q_2 - Q_1);

C = (cos(Fi_1_rad)/W_1)^2 + k*Q_1;
Ro_0 = (a/k)*(C-k*Q_0)^(1/2);

Ro = (y_A^2 + (Ro_0 - x_A)^2)^(1/2);
delta = atan(y_A/(Ro_0 - x_A));
Q = (C-(Ro*k/a)^2)/k;
Qp = 1-((1-eks^2)/(2*eks))*log((1-eks)/(1+eks));

Psi_rad = asin(Q/Qp);

Fi = Psi_rad +(eks^2/3 + 31*eks^4/180 + 517*eks^6/5040)*sin(2*Psi_rad) ...
    + (23*eks^4/360 + 251*eks^6/3780)*sin(4*Psi_rad) ...
    + (761*eks^6/45360)*sin(6*Psi_rad);

La = La_0_rad + delta/k;

Fi_dms = rad2dms(Fi);
La_dms = rad2dms(La);

