function [Y_B, X_B, P_B, omega_dms, Epsilon_A1, Eps_m, Eps_n] = BONN_proj(Fi_0, La_0, Fi, La, a, f, eks, kontinent)
%clc
%clear all
%a = 6378137.000;
%f = 1/298.257223563;
%[b, eks] = Parametri_b_eks(a,f);
%sredina toka projekcije
%Fi_0 = 10;
%La_0 = 20;

%Fi= 75;
%La = 20;

if kontinent(1) == 4
    Fi_0 = 0.0000001; %popravljena vrednost izhodine toke da lahko enabe konvergirajo
end

Fi_0_rad = dms2rad(Fi_0);
Fi_rad = dms2rad(Fi);
La_0_rad = dms2rad(La_0);
La_rad = dms2rad(La);


N_0 = Polmer_vertikala(a, f, Fi_0);
r_0 = Polmer_vzporednika(a, f, Fi_0);


Fi_rad = dms2rad(Fi);

B_0 = a*((1 - eks^2/4 - 3*eks^4/64 - 5*eks^6/256)*Fi_0_rad ...
    - (3*eks^2/8 + 3*eks^4/32 + 45*eks^6/1024)*sin(2*Fi_0_rad) ...
    + (15*eks^4/256 + 45*eks^6/1024)*sin(4*Fi_0_rad) ...
    - (35*eks^6/3072)*sin(6*Fi_0_rad));
    
r = Polmer_vzporednika(a, f, Fi);
    
B = a*((1 - eks^2/4 - 3*eks^4/64 - 5*eks^6/256)*Fi_rad ...
        - (3*eks^2/8 + 3*eks^4/32 + 45*eks^6/1024)*sin(2*Fi_rad) ...
        + (15*eks^4/256 + 45*eks^6/1024)*sin(4*Fi_rad) ...
        - (35*eks^6/3072)*sin(6*Fi_rad));

Ro = N_0 * 1/tan(Fi_0_rad) + B_0 - B;

   

delta = r/Ro * (La - La_0);
delta_rad = dec2rad(delta);

%kartezine koordinate tok geografsle mree
Y_B = Ro * sin(delta_rad);
X_B = N_0 * 1/tan(Fi_0_rad) - Ro*cos(delta_rad);

N = Polmer_vertikala(a, f, Fi);
epsilon_rad = atan((sin(Fi_rad) - N*cos(Fi_rad)/Ro) * (La_rad - La_0_rad));
epsilon_dms = rad2dms(epsilon_rad);

n_B = 1; 
m_B = sec(epsilon_rad);

A = (m_B^2 + n_B^2 + 2*m_B*n_B*sin(pi/2-epsilon_rad))^(1/2);
B = (m_B^2 + n_B^2 - 2*m_B*n_B*sin(pi/2-epsilon_rad))^(1/2);

%deformacije dolin v glavnih smereh
a_B = (A+B)/2;
b_B = (A-B)/2;

P_B = a_B * b_B;

omega = 2*asin((a_B - b_B)/(a_B + b_B));
omega_dms = rad2dms(omega);

Epsilon_A1 = sqrt(1/2*((a_B - 1)^2 + (b_B - 1)^2));

Eps_m = abs(m_B - 1);

Eps_n = abs(n_B - 1);




