function [X_Cn, Y_Cn, P_Cn, omega_dms, Epsilon_A1, Eps_m, Eps_n] = CILIND_POKONCNA_proj(Fi_0, La_0, Fi, La, a, f, eks, Fi_S)

%clc
%clear all
%a = 6378137.000;
%f = 1/298.257223563;
%[b, eks] = Parametri_b_eks(a,f);
%sredina toka projekcije
%Fi_0 = 50;
%La_0 = 20;

%Fi = 45;
%La = 25;
Fi_S_rad = dms2rad(Fi_S);

Fi_0_rad = dms2rad(Fi_0);
Fi_rad = dms2rad(Fi);
La_0_rad = dms2rad(La_0);
La_rad = dms2rad(La);

k0 = cos(Fi_S_rad)/(1-eks^2*sin(Fi_S_rad)^2)^(1/2);

q = (1-eks^2)*(sin(Fi_rad)/(1-eks^2*sin(Fi_rad))- 1/(2*eks)*log((1 - eks*sin(Fi_rad))/(1 + eks*sin(Fi_rad))));

%Kartezine koordinate
X_Cn = a*q/(2*k0);
Y_Cn = a*k0*(La_rad - La_0_rad);

%odvodi funkcije X_Cn in Y_Cn po Fi in Lambda, da lahko izraunamo m,n,omega
q_Fi = (1-eks^2)*2*cos(Fi_rad)/((1-eks^2*sin(Fi_rad)^2))^2;


x_Fi = a * q_Fi/(2*k0);
y_La = a*k0+(1 - La_0_rad);

%Polmer vertikala in meridiana
N =Polmer_vertikala(a, f, Fi);

%deformacije v smeri meridianov in paralel
n_Cn = y_La /(N*cos(Fi_rad));
m_Cn = 1/n_Cn;


%ker so paralele in meridiani med seboj pravokotni velja
a_Cn = m_Cn;
b_Cn = n_Cn;

P_Cn = a_Cn * b_Cn;

omega = 2*asin(abs(a_Cn - b_Cn)/(a_Cn + b_Cn));
omega_dms = rad2dms(omega);

Epsilon_A1 = sqrt(1/2*((a_Cn - 1)^2 + (b_Cn - 1)^2));

Eps_m = abs(m_Cn - 1);

Eps_n = abs(n_Cn - 1);
