function [ Fi_dms, La_dms ] = Cilind_prec_inv(Fi_0, La_0, x_Cp, y_Cp, h0, Rq)

Fi_0_rad = dms2rad(Fi_0);
La_0_rad = dms2rad(La_0);

D = x_Cp/(Rq*h0) + Fi_0_rad;

Fi_rad = asin((1-(h0*y_Cp/Rq)^2)^(1/2)*sin(D));
La_rad = La_0_rad + atan((h0*y_Cp/Rq)/((1-(h0*y_Cp/Rq)^2)^(1/2)*cos(D)));

Fi_dms = rad2dms(Fi_rad);
La_dms = rad2dms(La_rad);