function [Y_L, X_L, P_L, omega_dms, Epsilon_A1, Eps_m, Eps_n] = LAMBERT_proj(Fi_0, La_0, Fi, La, a, f, eks, kontinent)
%clear all
%clc

%a = 6378137.000;
%f = 1/298.257223563;
%[b, eks] = Parametri_b_eks(a,f);
%sredina toka projekcije
%Fi_0 = 45;
%La_0 = 20;

%Fi = 50;
%La = 40;
%znak = 3;


Fi_0_rad = dms2rad(Fi_0);
Fi_rad = dms2rad(Fi);
La_0_rad = dms2rad(La_0);
La_rad = dms2rad(La);
Fi_90 = dms2rad(90);

%Qp = 1-((1-eks^2)/(2*eks))*log((1-eks)/(1+eks))

Q_0 = (1-eks^2)*((sin(Fi_0_rad)/(1-eks^2*(sin(Fi_0_rad))^2))-(1/(2*eks))*log(((1-eks*sin(Fi_0_rad))/(1+eks*sin(Fi_0_rad)))));
Q = (1-eks^2)*((sin(Fi_rad)/(1-eks^2*(sin(Fi_rad))^2))-(1/(2*eks))*log(((1-eks*sin(Fi_rad))/(1+eks*sin(Fi_rad)))));
Qp = (1-eks^2)*((sin(Fi_90)/(1-eks^2*(sin(Fi_90))^2))-(1/(2*eks))*log(((1-eks*sin(Fi_90))/(1+eks*sin(Fi_90)))));

Psi_0_rad = asin(Q_0/Qp);
Psi_rad = asin(Q/Qp);

Rq = a*(Qp/2)^(1/2);
N_0 = Polmer_vertikala(a, f, Fi_0);

D = N_0*cos(Fi_0_rad)/(Rq*cos(Psi_0_rad));

V = Rq*(2/(1+sin(Psi_0_rad)*sin(Psi_rad)+cos(Psi_0_rad)*cos(Psi_rad)*cos(La_rad - La_0_rad)))^(1/2);

if kontinent(1) == 4 %Afrika (ekvatorjalna lega)
    X_L = (Rq^2/a)*sin(Psi_rad)*(2/(1 + cos(Psi_rad)*cos(La_rad - La_0_rad)))^(1/2);
    Y_L = a*cos(Psi_rad)*sin(La_rad - La_0_rad)*(2/(1 + cos(Psi_rad)*cos(La_rad - La_0_rad)))^(1/2);
    
    Ro = ((Y_L/D)^2+ (D*X_L)^2)^(1/2);
    z = 2*asin(Ro/(2*Rq));

    %merilo vzdol almukantratov in vertikalov
    m_a = sec(z/2);
    m_v = cos(z/2);
    
elseif kontinent(1) == 8 %Antarktika (polarna lega) Fi_0 = -90
    Ro = a*(Qp+Q)^(1/2);
    
    X_L = Ro*cos(La_rad - La_0_rad);
    Y_L = Ro*sin(La_rad - La_0_rad);
    
    N = Polmer_vertikala(a, f, Fi);
    n = Ro/(N*cos(Fi_rad));
    m_a = n;
    m_v = 1/n;
    
else

Y_L = V*D*cos(Psi_rad)*sin(La_rad - La_0_rad);
X_L = (V/D)*(cos(Psi_0_rad)*sin(Psi_rad) - sin(Psi_0_rad)*cos(Psi_rad)*cos(La_rad - La_0_rad));

Ro = ((Y_L/D)^2+ (D*X_L)^2)^(1/2);
z = 2*asin(Ro/(2*Rq));

%merilo vzdol almukantratov in vertikalov
m_a = sec(z/2);
m_v = cos(z/2);

end

%Kotne deformacije
omega = 2*asin(abs(m_v - m_a)/(m_v+m_a));
omega_dms = rad2dms(omega);

A = (m_v^2 + m_a^2 + 2*m_a*m_v)^(1/2);
B = (m_v^2 + m_a^2 - 2*m_a*m_v)^(1/2);

%merilo v glavnih smereh
a_L = (A+B)/2;
b_L = (A-B)/2;

%Ker se meridijani in paralele sekajo pod pravim kotom tudi v projekciji velja:
m_L = a_L;
n_L = b_L;

P_L = n_L * m_L;

Epsilon_A1 = sqrt(1/2*((a_L - 1)^2 + (b_L - 1)^2));

Eps_m = abs(m_L - 1);

Eps_n = abs(n_L - 1);
