function [ Fi_dms, La_dms ] = Lambert_inv(Fi_0, La_0, y_L, x_L, a, f, eks, znak)
%clear all
%clc

%a = 6378137.000;
%f = 1/298.257223563;
%[b, eks] = Parametri_b_eks(a,f);
%sredina toka projekcije
%Fi_0 = 50;
%La_0 = 20;

Fi_0_rad = dms2rad(Fi_0);
La_0_rad = dms2rad(La_0);

%Fi_90 = dms2rad(90);

%y_L = 666718.011161362;
%x_L = 811345.887569755;

Qp = 1-(((1-eks^2)/(2*eks))*log((1-eks)/(1+eks)));
%Qp = (1-eks^2)*((sin(Fi_90)/(1-eks^2*(sin(Fi_90)^2)))-(1/(2*eks))*log(((1-eks*sin(Fi_90))/(1+eks*sin(Fi_90)))))
Q_0 = (1-eks^2)*((sin(Fi_0_rad)/(1-eks^2*(sin(Fi_0_rad)^2)))-(1/(2*eks))*log(((1-eks*sin(Fi_0_rad))/(1+eks*sin(Fi_0_rad)))));
Rq = a*(Qp/2)^(1/2);

Psi_0_rad = asin(Q_0/Qp);

N_0 = Polmer_vertikala(a, f, Fi_0);
D = N_0*cos(Fi_0_rad)/(Rq*cos(Psi_0_rad));

Ro = ((y_L/D)^2+ (D*x_L)^2)^(1/2);
Ze = 2*asin(Ro/(2*Rq));
Psi_rad = asin(cos(Ze)*sin(Psi_0_rad) + (D*x_L*sin(Ze)*cos(Psi_0_rad)/Ro));

if znak(1) ==8
 Ro = (x_L^2 + y_L^2)^(1/2);
 
 Psi_rad = - asin(1-Ro^2/(a^2*(1-((1-eks^2)/(2*eks))*log((1-eks)/(1+eks)))));
 Fi = Psi_rad +(eks^2/3 + 31*eks^4/180 + 517*eks^6/5040)*sin(2*Psi_rad) ...
    + (23*eks^4/360 + 251*eks^6/3780)*sin(4*Psi_rad) ...
    + (761*eks^6/45360)*sin(6*Psi_rad);

 La = La_0_rad +  atan(x_L/y_L);
 
else

La = La_0_rad + atan(y_L*sin(Ze)/(D*Ro*cos(Psi_0_rad)*cos(Ze) - D^2*x_L*sin(Psi_0_rad)*sin(Ze)));

Fi = Psi_rad +(eks^2/3 + 31*eks^4/180 + 517*eks^6/5040)*sin(2*Psi_rad) ...
    + (23*eks^4/360 + 251*eks^6/3780)*sin(4*Psi_rad) ...
    + (761*eks^6/45360)*sin(6*Psi_rad);
end

Fi_dms = rad2dms(Fi);
La_dms = rad2dms(La);




