function [ B, L, A, Cp, Cn, W, B_median, L_median, A_median, Cp_median, Cn_median, W_median, B_max, L_max, A_max,...
    Cp_max, Cn_max, W_max, B_std, L_std, A_std, Cp_std, Cn_std, W_std, B_SE, L_SE, A_SE, Cp_SE, Cn_SE, W_SE]... 
    = Pogoj_3( Eps_n_B, Eps_n_L, Eps_n_A, Eps_n_Cp, Eps_n_Cn, Eps_n_W, kontinent, st_RT )

disp('Izbrali ste pogoj 3: MINIMIZACIJA DOLINSKIH DEFORMACIJ V SMERI PARAREL')
[ RF_T_B, RF_T_linear_B ] = Referencne_tocke( kontinent, Eps_n_B );
[ RF_T_L, RF_T_linear_L ] = Referencne_tocke( kontinent, Eps_n_L );
[ RF_T_A, RF_T_linear_A ] = Referencne_tocke( kontinent, Eps_n_A );
[ RF_T_Cp, RF_T_linear_Cp ] = Referencne_tocke( kontinent, Eps_n_Cp );
[ RF_T_Cn, RF_T_linear_Cn ] = Referencne_tocke( kontinent, Eps_n_Cn );
[ RF_T_W, RF_T_linear_W ] = Referencne_tocke( kontinent, Eps_n_W );

%srednja deformacija dooline v smeri pararele
B = (sum(sum(RF_T_B)))/st_RT;
L = (sum(sum(RF_T_L)))/st_RT;
A = (sum(sum(RF_T_A)))/st_RT;
Cp = (sum(sum(RF_T_Cp)))/st_RT;
Cn = (sum(sum(RF_T_Cn)))/st_RT;
W = (sum(sum(RF_T_W)))/st_RT;

%mediana vrednosti referennih tok
B_median = median(RF_T_linear_B);
L_median = median(RF_T_linear_L);
A_median = median(RF_T_linear_A);
Cp_median = median(RF_T_linear_Cp);
Cn_median = median(RF_T_linear_Cn);
W_median = median(RF_T_linear_W);

%max vrednost iz mnoice referennih tok
B_max = (max(max(RF_T_B)));
L_max = (max(max(RF_T_L)));
A_max = (max(max(RF_T_A)));
Cp_max = (max(max(RF_T_Cp)));
Cn_max = (max(max(RF_T_Cn)));
W_max = (max(max(RF_T_W)));

%standardna devijacija vrednosti referennih tok
B_std = std(RF_T_linear_B);
L_std = std(RF_T_linear_L);
A_std = std(RF_T_linear_A);
Cp_std = std(RF_T_linear_Cp);
Cn_std = std(RF_T_linear_Cn);
W_std = std(RF_T_linear_W);

%Standardna napaka
B_SE = B_std/sqrt(st_RT);
L_SE = L_std/sqrt(st_RT);
A_SE = A_std/sqrt(st_RT);
Cp_SE = Cp_std/sqrt(st_RT);
Cn_SE = Cn_std/sqrt(st_RT);
W_SE = W_std/sqrt(st_RT);