function [ B, L, A, Cp, Cn, W, B_median, L_median, A_median, Cp_median, Cn_median, W_median, B_max, L_max, A_max,...
    Cp_max, Cn_max, W_max, B_std, L_std, A_std, Cp_std, Cn_std, W_std, B_SE, L_SE, A_SE, Cp_SE, Cn_SE, W_SE]... 
    = Pogoj_4( omega_B, omega_L, omega_A, omega_Cp, omega_Cn, omega_W, kontinent, st_RT )

omega_B_dec = dms2dec (omega_B);
omega_L_dec = dms2dec (omega_L);
omega_A_dec = dms2dec (omega_A);
omega_Cp_dec = dms2dec (omega_Cp);
omega_Cn_dec = dms2dec (omega_Cn);
omega_W_dec = dms2dec (omega_W);

disp('Izbrali ste pogoj 4: MINIMIZACIJA KOTNIH DEFORMACIJ NA OBMOJU KONTINENTA')
[ RF_T_B, RF_T_linear_B ] = Referencne_tocke( kontinent, omega_B_dec );
[ RF_T_L, RF_T_linear_L ] = Referencne_tocke( kontinent, omega_L_dec );
[ RF_T_A, RF_T_linear_A ] = Referencne_tocke( kontinent, omega_A_dec );
[ RF_T_Cp, RF_T_linear_Cp ] = Referencne_tocke( kontinent, omega_Cp_dec );
[ RF_T_Cn, RF_T_linear_Cn ] = Referencne_tocke( kontinent, omega_Cn_dec );
[ RF_T_W, RF_T_linear_W ] = Referencne_tocke( kontinent, omega_W_dec );

%srednja vrednost kotnih deformacij
B = dec2dms((sum(sum(RF_T_B)))/st_RT);
L = dec2dms((sum(sum(RF_T_L)))/st_RT);
A = dec2dms((sum(sum(RF_T_A)))/st_RT);
Cp = dec2dms((sum(sum(RF_T_Cp)))/st_RT);
Cn = dec2dms((sum(sum(RF_T_Cn)))/st_RT);
W = dec2dms((sum(sum(RF_T_W)))/st_RT);

%mediana vrednosti referennih tok
B_median = dec2dms(median(RF_T_linear_B));
L_median = dec2dms(median(RF_T_linear_L));
A_median = dec2dms(median(RF_T_linear_A));
Cp_median = dec2dms(median(RF_T_linear_Cp));
Cn_median = dec2dms(median(RF_T_linear_Cn));
W_median = dec2dms(median(RF_T_linear_W));

%max vrednost iz mnoice referennih tok
B_max = dec2dms((max(max(RF_T_B))));
L_max = dec2dms((max(max(RF_T_L))));
A_max = dec2dms((max(max(RF_T_A))));
Cp_max = dec2dms((max(max(RF_T_Cp))));
Cn_max = dec2dms((max(max(RF_T_Cn))));
W_max = dec2dms((max(max(RF_T_W))));

%standardna devijacija vrednosti referennih tok
B_std = dec2dms(std(RF_T_linear_B));
L_std = dec2dms(std(RF_T_linear_L));
A_std = dec2dms(std(RF_T_linear_A));
Cp_std = dec2dms(std(RF_T_linear_Cp));
Cn_std = dec2dms(std(RF_T_linear_Cn));
W_std = dec2dms(std(RF_T_linear_W));

%Standardna napaka
B_SE = dec2dms(B_std/sqrt(st_RT));
L_SE = dec2dms(L_std/sqrt(st_RT));
A_SE = dec2dms(A_std/sqrt(st_RT));
Cp_SE = dec2dms(Cp_std/sqrt(st_RT));
Cn_SE = dec2dms(Cn_std/sqrt(st_RT));
W_SE = dec2dms(W_std/sqrt(st_RT));