clear all
clc
%Podatki za kontinent Azija
[ Fi, La, Fi_0, La_0] = Izbira_celine( 2 );

%parametri GRS80 elipsoida
a = 6378137.000;
f = 1/298.257223563;
[b, eks] = Parametri_b_eks(a,f);

%--------------------------------------------------------------------------
%--------------- CILINDRINA PRENA EKVIVALENTNA PROJEKCIJA ---------------
%--------------------------------------------------------------------------

st_n = size (Fi);
st_m = size (La);

%DOLOITEV MERILA SREDNJEGA MERIDIANI PRI PRENI CILINDINI PROJEKCIJI (1.)
for k = 0:100
h0 = 1 - 0.001*k;
for i = 1: st_n(2)
    for j = 1:st_m(2)
        
[X_Cp, Y_Cp, Rq, omega_dms, P_Cp, Epsilon_A1] = Cilind_prec_proj(Fi_0, La_0, Fi(i), La(j), a, f, eks, h0);

y_Cp(i,j) = Y_Cp;
x_Cp(i,j) = X_Cp;
omega_Cp(i,j) = omega_dms;
p_Cp (i,j)= P_Cp;
Epsilon_a1(i,j) = Epsilon_A1;
    end
end
%Matrika deformacij
W = omega_Cp;

[ RF_T, RF_T_linear ] = Referencne_tocke( 2, W );
     
h0_(k+1) =  h0;    
sum_RF(k+1) = sum (sum(RF_T));
%povprecje = sum_RF/RF_st
%y_A
%x_A
end
h0_';
sum_RF';
figure 
 plot ( h0_',sum_RF')
 title('DOLOITEV MERILA VZDOL SREDNJEGA MERIDIANA ZA AZIJO (1.int)')
 xlabel('merilo vzdol srednjega meridiana h0')
 ylabel('Vsota kotnih deformacij na RF_T')

 
%DOLOITEV MERILA SREDNJEGA MERIDIANI PRI PRENI CILINDINI PROJEKCIJI (2.)
for k = 0:14
h0 = 0.955 - 0.001*k;
for i = 1: st_n(2)
    for j = 1:st_m(2)
        
[X_Cp, Y_Cp, Rq, omega_dms, P_Cp, Epsilon_A1] = Cilind_prec_proj(Fi_0, La_0, Fi(i), La(j), a, f, eks, h0);

y_Cp(i,j) = Y_Cp;
x_Cp(i,j) = X_Cp;
omega_Cp(i,j) = omega_dms;
p_Cp (i,j)= P_Cp;
Epsilon_a1(i,j) = Epsilon_A1;
    end
end

W = omega_Cp; 

%Vrednosti deformacij na referennih tokah
[ RF_T, RF_T_linear ] = Referencne_tocke( 2, W );

     
h0_2(k+1) =  h0;    
sum_RF_2(k+1) = sum (sum(RF_T));
%povprecje = sum_RF/RF_st
%y_A
%x_A
end
h0_2';
sum_RF_2';
figure 
 plot ( h0_2',sum_RF_2')
 title('DOLOITEV MERILA VZDOL SREDNJEGA MERIDIANA ZA AZIJO (2.int)')
 xlabel('merilo vzdol srednjega meridiana h0')
 ylabel('Vsota kotnih deformacij na RF_T')
