function [X_Cp, Y_Cp, Rq, omega_dms, P_Cp, Epsilon_A1] = Cilind_prec_proj(Fi_0, La_0, Fi, La, a, f, eks, h0)


Fi_0_rad = dms2rad(Fi_0);
Fi_rad = dms2rad(Fi);
La_0_rad = dms2rad(La_0);
La_rad = dms2rad(La);

%radi zemlje je taken, da je poverina elipsoida ena povrini krogle
Qp = 1-((1-eks^2)/(2*eks))*log((1-eks)/(1+eks));
Rq = a*(Qp/2)^(1/2);


%Kartezine koordinate

X_Cp = Rq *h0 *(atan(tan(Fi_rad)/cos(La_rad- La_0_rad))-Fi_0_rad);
Y_Cp = (Rq/h0)* cos(Fi_rad)*sin(La_rad - La_0_rad);

%odvodi funkcije X_C in Y_C po Fi in Lambda, da lahko izraunamo m,n,omega
x_Fi = Rq * h0*(1/(1+(tan(Fi_rad)/cos(La_rad - La_0_rad))^2)) * (1/(cos(Fi_rad)^2*cos(La_rad - La_0_rad)));
x_La = Rq*h0* (1/(1+(tan(Fi_rad)/cos(La_rad - La_0_rad))^2)) * tan(Fi_rad)/(cos(La_rad - La_0_rad))^2* sin(La_rad - La_0_rad);

y_Fi = - Rq/h0 * sin(Fi_rad)*sin(La_rad - La_0_rad);
y_La = Rq/h0 * cos(Fi_rad)*cos(La_rad - La_0_rad);


%deformacije v smeri meridianov in paralel
m_Cp = (1/Rq)*(x_Fi^2 + y_Fi^2)^(1/2);
n_Cp = (1/(Rq*cos(Fi_rad)))*(x_La^2 + y_La^2)^(1/2);


epsilon_rad = atan (-(x_Fi*x_La + y_Fi*y_La)/(x_Fi*y_La - x_La*y_Fi));
%epsi_O = pi/2-epsilon_rad
%O = asin((y_Fi*x_La - x_Fi*y_La)/(Rq^2*m_C*n_C*cos(Fi_rad)))


A = (m_Cp^2 + n_Cp^2 + 2*m_Cp*n_Cp*sin(pi/2-epsilon_rad))^(1/2);
B = (m_Cp^2 + n_Cp^2 - 2*m_Cp*n_Cp*sin(pi/2-epsilon_rad))^(1/2);

a_Cp = (A+B)/2;
b_Cp = (A-B)/2;

P_Cp = a_Cp * b_Cp;

omega = 2*asin((a_Cp - b_Cp)/(a_Cp + b_Cp));
omega_dms = rad2dms(omega);

Epsilon_A1 = sqrt(1/2*((a_Cp - 1)^2 + (b_Cp - 1)^2));
