clear all
clc
%Podatki za kontinent Avstralija
disp('Izbrali ste kontinent: AVSTRALIJA')
    Fi = [ -10 -15 -20 -25 -30 -35 -40 -45 -50];
    La = [110  120  130  140  150  160];
    %Sredie kontineta
    Fi_0 = -25;
    La_0 = 135;
    %Nielna matrika W
    st_n = size (Fi);
    st_m = size (La);
    W = zeros (st_n(2), st_m(2));
    %referenne toke
    RF_T = [0 0 W(1,3) W(1,4) 0 0
         0 W(2,2) W(2,3) W(2,4) W(2,5) 0
         0 W(3,2) W(3,3) W(3,4) W(3,5) 0
         W(4,1) W(4,2) W(4,3) W(4,4) W(4,5) W(4,6)
         W(5,1) W(5,2) W(5,3) W(5,4) W(5,5) W(5,6)
         W(6,1) W(6,2) W(6,3) W(6,4) W(6,5) 0
         0 0 0 W(7,4) W(7,5) 0
         0 0 0 0 W(8,5) 0
         0 0 0 0 0 0];
    %tevilo referennih tok
    RF_st = 30;
    %standardni paraleli za conusne projekcije
    Fi_1 = -20;
    Fi_2 = -40;
     
%parametri GRS80 elipsoida
a = 6378137.000;
f = 1/298.257223563;
[b, eks] = Parametri_b_eks(a,f);


%doloitev standardnih paralel za stoine projekcije pri celinah


%--------------------------------------------------------------------------
%---------------- ALBERSOVA EKVIVALENTNA KONUSNA PROJEKCIA ----------------
%--------------------------------------------------------------------------
st_n = size (Fi);
st_m = size (La);

%DOLOITEV STANDARDNE PARARELE Fi_1 (1.iteracija)
for k = 0:15
Fi_1 = Fi_0 + k;
for i = 1: st_n(2)
    for j = 1:st_m(2)
        
[Y_A, X_A, omega_dms, P_A, Epsilon_A1] = Albers_proj( Fi_0, La_0, Fi_1, Fi_2, Fi(i), La(j), a, f, eks);

y_A(i,j) = Y_A;
x_A(i,j) = X_A;
omega_A(i,j) = omega_dms;
p_A (i,j)= P_A;
Epsilon_a1(i,j) = Epsilon_A1;
    end
end

W = omega_A; 

ref_tocke = [0 0 W(1,3) W(1,4) 0 0
         0 W(2,2) W(2,3) W(2,4) W(2,5) 0
         0 W(3,2) W(3,3) W(3,4) W(3,5) 0
         W(4,1) W(4,2) W(4,3) W(4,4) W(4,5) W(4,6)];
         %W(5,1) W(5,2) W(5,3) W(5,4) W(5,5) W(5,6)
         %W(6,1) W(6,2) W(6,3) W(6,4) W(6,5) 0
         %0 0 0 W(7,4) W(7,5) 0
         %0 0 0 0 W(8,5) 0
         %0 0 0 0 0 0];
     
Fi_S(k+1) =  Fi_1;    
sum_RF(k+1) = sum (sum(ref_tocke));

end
Fi_S';
sum_RF';
figure 
 plot ( Fi_S',sum_RF')
 title('DOLOITEV STANDARDNE PARARELE Fi_1 za AVSTRALIJO (1.iteracija)')
 xlabel('Poloaj standardne paralele Fi_1 []')
 ylabel('vsota kotnih deformacij na RF_T')

%DOLOITEV STANDARDNE PARARELE Fi_2 (1.iteracija)

Fi_1 = -18; % iz prvega grafa preberi najnijo vrednost
for h = 0:25
Fi_2 = Fi_0 - h;
for i = 1: st_n(2)
    for j = 1:st_m(2)
        
[Y_A, X_A, omega_dms, P_A, Epsilon_A1] = Albers_proj( Fi_0, La_0, Fi_1, Fi_2, Fi(i), La(j), a, f, eks);

y_A(i,j) = Y_A;
x_A(i,j) = X_A;
omega_A(i,j) = omega_dms;
p_A (i,j)= P_A;
Epsilon_a1(i,j) = Epsilon_A1;
    end
end

W = omega_A; 
%ref_tocke = [0 0 W(1,3) W(1,4) 0 0
         %0 W(2,2) W(2,3) W(2,4) W(2,5) 0
         %0 W(3,2) W(3,3) W(3,4) W(3,5) 0
         ref_tocke = [W(4,1) W(4,2) W(4,3) W(4,4) W(4,5) W(4,6)
         W(5,1) W(5,2) W(5,3) W(5,4) W(5,5) W(5,6)
         W(6,1) W(6,2) W(6,3) W(6,4) W(6,5) 0
         0 0 0 W(7,4) W(7,5) 0
         0 0 0 0 W(8,5) 0
         0 0 0 0 0 0];
Fi_N(h+1) =  Fi_2;    
sum_RF(h+1) = sum (sum(ref_tocke));

end
Fi_N';
sum_RF';
figure 
 plot ( Fi_N',sum_RF')
 title('DOLOITEV STANDARDNE PARARELE Fi_2 za AVSTRALIJO (1.iteracija)')
 xlabel('Poloaj standardne paralele Fi_2 []')
 ylabel('vsota kotnih deformacij na RF_T')

%DOLOITEV STANDARDNE PARARELE Fi_1 (2.iteracija)

Fi_2 = -33; %Iz drugega grafa preberi naj nijo vrednost in jo zapii
for k = 0:18
Fi_1 = -20 + k/6;
for i = 1: st_n(2)
    for j = 1:st_m(2)
        
[Y_A, X_A, omega_dms, P_A, Epsilon_A1] = Albers_proj( Fi_0, La_0, Fi_1, Fi_2, Fi(i), La(j), a, f, eks);

y_A(i,j) = Y_A;
x_A(i,j) = X_A;
omega_A(i,j) = omega_dms;
p_A (i,j)= P_A;
Epsilon_a1(i,j) = Epsilon_A1;
    end
end

W = omega_A; 
ref_tocke = [0 0 W(1,3) W(1,4) 0 0
         0 W(2,2) W(2,3) W(2,4) W(2,5) 0
         0 W(3,2) W(3,3) W(3,4) W(3,5) 0
         W(4,1) W(4,2) W(4,3) W(4,4) W(4,5) W(4,6)];
         %W(5,1) W(5,2) W(5,3) W(5,4) W(5,5) W(5,6)
         %W(6,1) W(6,2) W(6,3) W(6,4) W(6,5) 0
         %0 0 0 W(7,4) W(7,5) 0
         %0 0 0 0 W(8,5) 0
         %0 0 0 0 0 0];
Fi_Ss(k+1) =  Fi_1;    
sum_RFs(k+1) = sum (sum(ref_tocke));

end
Fi_Ss';
sum_RFs';
figure 
 plot ( Fi_Ss',sum_RFs')
 title('DOLOITEV STANDARDNE PARARELE Fi_1 za AVSTRALIJO (n-ta iteracija)')
 xlabel('Poloaj standardne paralele Fi_1 []')
 ylabel('vsota kotnih deformacij na RF_T')
 
%DOLOITEV STANDARDNE PARARELE Fi_2 (2.iteracija)

Fi_1 = -17.5; %Iz tretjega grafa preberi naj nijo vrednost in jo zapii
for h = 0:24
Fi_2 = -31 - h/6;
for i = 1: st_n(2)
    for j = 1:st_m(2)
        
[Y_A, X_A, omega_dms, P_A, Epsilon_A1] = Albers_proj( Fi_0, La_0, Fi_1, Fi_2, Fi(i), La(j), a, f, eks);

y_A(i,j) = Y_A;
x_A(i,j) = X_A;
omega_A(i,j) = omega_dms;
p_A (i,j)= P_A;
Epsilon_a1(i,j) = Epsilon_A1;
    end
end

W = omega_A; 
%ref_tocke = [0 0 W(1,3) W(1,4) 0 0
         %0 W(2,2) W(2,3) W(2,4) W(2,5) 0
         %0 W(3,2) W(3,3) W(3,4) W(3,5) 0
         ref_tocke = [W(4,1) W(4,2) W(4,3) W(4,4) W(4,5) W(4,6)
         W(5,1) W(5,2) W(5,3) W(5,4) W(5,5) W(5,6)
         W(6,1) W(6,2) W(6,3) W(6,4) W(6,5) 0
         0 0 0 W(7,4) W(7,5) 0
         0 0 0 0 W(8,5) 0
         0 0 0 0 0 0];
Fi_Nn(h+1) =  Fi_2;    
sum_RFn(h+1) = sum (sum(ref_tocke));
end
%povprecje = sum_RF/RF_st
Fi_Nn';
sum_RFn';
figure 
plot ( Fi_Nn',sum_RFn')
 title('DOLOITEV STANDARDNE PARARELE Fi_2 za AVSTRALIJO (n-ta iteracija)')
 xlabel('Poloaj standardne paralele Fi_2 []')
 ylabel('vsota kotnih deformacij na RF_T')
