clear all
clc
%Podatki za kontinent Severna Amerika
disp('Izbrali ste kontinent: SEVERNA AMERIKA')
     Fi = [80 70 60 50 40 30 20 10];
     La = [-170 -160 -150 -140 -130 -120 -110 -100 -90 -80 -70 -60 -50]; 
     %Sredie kontineta
     Fi_0 = 45;
     La_0 = -95;
     %Nielna matrika W
     st_n = size (Fi);
     st_m = size (La);
     W = zeros (st_n(2), st_m(2));
     %referenne toke
     RF_T = [0 0 0 0 0 0 0 0 0 0 0 0 0
         W(2,1) W(2,2) W(2,3) W(2,4) W(2,5) W(2,6) W(2,7) W(2,8) W(2,9) W(2,10) W(2,11) W(2,12) 0
         W(3,1) W(3,2) W(3,3) W(3,4) W(3,5) W(3,6) W(3,7) W(3,8) W(3,9) W(3,10) W(3,11) W(3,12) 0
         0 W(4,2) 0 0 W(4,5) W(4,6) W(4,7) W(4,8) W(4,9) W(4,10) W(4,11) W(4,12) W(4,13)
         0 0 0 0 W(5,5) W(5,6) W(5,7) W(5,8) W(5,9) W(5,10) W(5,11) W(5,12) 0
         0 0 0 0 0 W(6,6) W(6,7) W(6,8) W(6,9) W(6,10) 0 0 0
         0 0 0 0 0 0 W(7,7) W(7,8) W(7,9) W(7,10) W(7,11) 0 0
         0 0 0 0 0 0 0 0 W(8,9) W(8,10) 0 0 0];
     %tevilo referennih tok
     RF_st = 54;     
     %zaetni standardni paraleli za conusne projekcije
     Fi_1 = 25;
     Fi_2 = 60;
     
%parametri GRS80 elipsoida
a = 6378137.000;
f = 1/298.257223563;
[b, eks] = Parametri_b_eks(a,f);


%doloitev standardnih paralel za stoine projekcije pri celinah


%--------------------------------------------------------------------------
%---------------- ALBERSOVA EKVIVALENTNA KONUSNA PROJEKCIA ----------------
%--------------------------------------------------------------------------
st_n = size (Fi);
st_m = size (La);

%DOLOITEV STANDARDNE PARARELE Fi_1 (1.iteracija)
for k = 0:35
Fi_1 = Fi_0 - k;
for i = 1: st_n(2)
    for j = 1:st_m(2)
        
[Y_A, X_A, omega_dms, P_A, Epsilon_A1] = Albers_proj( Fi_0, La_0, Fi_1, Fi_2, Fi(i), La(j), a, f, eks);

y_A(i,j) = Y_A;
x_A(i,j) = X_A;
omega_A(i,j) = omega_dms;
p_A (i,j)= P_A;
Epsilon_a1(i,j) = Epsilon_A1;
    end
end

W = omega_A; 

%ref_tocke = [0 0 0 0 0 0 0 0 0 0 0 0 0
 %        W(2,1) W(2,2) W(2,3) W(2,4) W(2,5) W(2,6) W(2,7) W(2,8) W(2,9) W(2,10) W(2,11) W(2,12) 0
  %       W(3,1) W(3,2) W(3,3) W(3,4) W(3,5) W(3,6) W(3,7) W(3,8) W(3,9) W(3,10) W(3,11) W(3,12) 0
   %      0 W(4,2) 0 0 W(4,5) W(4,6) W(4,7) W(4,8) W(4,9) W(4,10) W(4,11) W(4,12) W(4,13)
         ref_tocke = [ 0 0 0 0 W(5,5) W(5,6) W(5,7) W(5,8) W(5,9) W(5,10) W(5,11) W(5,12) 0
         0 0 0 0 0 W(6,6) W(6,7) W(6,8) W(6,9) W(6,10) 0 0 0
         0 0 0 0 0 0 W(7,7) W(7,8) W(7,9) W(7,10) W(7,11) 0 0
         0 0 0 0 0 0 0 0 W(8,9) W(8,10) 0 0 0];
     
Fi_S(k+1) =  Fi_1;    
sum_RF(k+1) = sum (sum(ref_tocke));

end
Fi_S';
sum_RF';
figure 
 plot ( Fi_S',sum_RF')
 title('DOLOITEV STANDARDNE PARARELE Fi_1 za S AMERIKO (1.iteracija)')
 xlabel('Poloaj standardne paralele Fi_1 []')
 ylabel('Vsota kotnih deformacij na RF_T')

%DOLOITEV STANDARDNE PARARELE Fi_2 (1.iteracija)

Fi_1 = 28; % iz prvega grafa preberi najnijo vrednost
for h = 0:35
Fi_2 = Fi_0 + h;
for i = 1: st_n(2)
    for j = 1:st_m(2)
        
[Y_A, X_A, omega_dms, P_A, Epsilon_A1] = Albers_proj( Fi_0, La_0, Fi_1, Fi_2, Fi(i), La(j), a, f, eks);

y_A(i,j) = Y_A;
x_A(i,j) = X_A;
omega_A(i,j) = omega_dms;
p_A (i,j)= P_A;
Epsilon_a1(i,j) = Epsilon_A1;
    end
end

W = omega_A; 
ref_tocke = [0 0 0 0 0 0 0 0 0 0 0 0 0
         W(2,1) W(2,2) W(2,3) W(2,4) W(2,5) W(2,6) W(2,7) W(2,8) W(2,9) W(2,10) W(2,11) W(2,12) 0
         W(3,1) W(3,2) W(3,3) W(3,4) W(3,5) W(3,6) W(3,7) W(3,8) W(3,9) W(3,10) W(3,11) W(3,12) 0
         0 W(4,2) 0 0 W(4,5) W(4,6) W(4,7) W(4,8) W(4,9) W(4,10) W(4,11) W(4,12) W(4,13)];
        %ref_tocke = [ 0 0 0 0 W(5,5) W(5,6) W(5,7) W(5,8) W(5,9) W(5,10) W(5,11) W(5,12) 0
        %0 0 0 0 0 W(6,6) W(6,7) W(6,8) W(6,9) W(6,10) 0 0 0
        %0 0 0 0 0 0 W(7,7) W(7,8) W(7,9) W(7,10) W(7,11) 0 0
        %0 0 0 0 0 0 0 0 W(8,9) W(8,10) 0 0 0];
Fi_N(h+1) =  Fi_2;    
sum_RF(h+1) = sum (sum(ref_tocke));

end
Fi_N';
sum_RF';
figure 
 plot ( Fi_N',sum_RF')
 title('DOLOITEV STANDARDNE PARARELE Fi_2 za S AMERIKO  (1.iteracija)')
 xlabel('Poloaj standardne paralele Fi_2 []')
 ylabel('Vsota kotnih deformacij na RF_T')

%DOLOITEV STANDARDNE PARARELE Fi_1 (2.iteracija)

Fi_2 = 70; %Iz drugega grafa preberi naj nijo vrednost in jo zapii
for k = 0:12
Fi_1 = 31 - k/6;
for i = 1: st_n(2)
    for j = 1:st_m(2)
        
[Y_A, X_A, omega_dms, P_A, Epsilon_A1] = Albers_proj( Fi_0, La_0, Fi_1, Fi_2, Fi(i), La(j), a, f, eks);

y_A(i,j) = Y_A;
x_A(i,j) = X_A;
omega_A(i,j) = omega_dms;
p_A (i,j)= P_A;
Epsilon_a1(i,j) = Epsilon_A1;
    end
end

W = omega_A; 
%ref_tocke = [0 0 0 0 0 0 0 0 0 0 0 0 0
 %        W(2,1) W(2,2) W(2,3) W(2,4) W(2,5) W(2,6) W(2,7) W(2,8) W(2,9) W(2,10) W(2,11) W(2,12) 0
  %       W(3,1) W(3,2) W(3,3) W(3,4) W(3,5) W(3,6) W(3,7) W(3,8) W(3,9) W(3,10) W(3,11) W(3,12) 0
   %      0 W(4,2) 0 0 W(4,5) W(4,6) W(4,7) W(4,8) W(4,9) W(4,10) W(4,11) W(4,12) W(4,13)
         ref_tocke = [ 0 0 0 0 W(5,5) W(5,6) W(5,7) W(5,8) W(5,9) W(5,10) W(5,11) W(5,12) 0
         0 0 0 0 0 W(6,6) W(6,7) W(6,8) W(6,9) W(6,10) 0 0 0
         0 0 0 0 0 0 W(7,7) W(7,8) W(7,9) W(7,10) W(7,11) 0 0
         0 0 0 0 0 0 0 0 W(8,9) W(8,10) 0 0 0];
     
Fi_Ss(k+1) =  Fi_1;    
sum_RFs(k+1) = sum (sum(ref_tocke));

end
Fi_Ss';
sum_RFs';
figure 
 plot ( Fi_Ss',sum_RFs')
 title('DOLOITEV STANDARDNE PARARELE Fi_1 za S AMERIKO  (n-ta iteracija)')
 xlabel('Poloaj standardne paralele Fi_1 []')
 ylabel('Vsota kotnih deformacij na RF_T')
 
%DOLOITEV STANDARDNE PARARELE Fi_2 (2.iteracija)

Fi_1 = 29.5; %Iz tretjega grafa preberi naj nijo vrednost in jo zapii
for h = 0:12
Fi_2 = 69 + h/6;
for i = 1: st_n(2)
    for j = 1:st_m(2)
        
[Y_A, X_A, omega_dms, P_A, Epsilon_A1] = Albers_proj( Fi_0, La_0, Fi_1, Fi_2, Fi(i), La(j), a, f, eks);

y_A(i,j) = Y_A;
x_A(i,j) = X_A;
omega_A(i,j) = omega_dms;
p_A (i,j)= P_A;
Epsilon_a1(i,j) = Epsilon_A1;
    end
end

W = omega_A; 
ref_tocke = [0 0 0 0 0 0 0 0 0 0 0 0 0
         W(2,1) W(2,2) W(2,3) W(2,4) W(2,5) W(2,6) W(2,7) W(2,8) W(2,9) W(2,10) W(2,11) W(2,12) 0
         W(3,1) W(3,2) W(3,3) W(3,4) W(3,5) W(3,6) W(3,7) W(3,8) W(3,9) W(3,10) W(3,11) W(3,12) 0
         0 W(4,2) 0 0 W(4,5) W(4,6) W(4,7) W(4,8) W(4,9) W(4,10) W(4,11) W(4,12) W(4,13)];
        %ref_tocke = [ 0 0 0 0 W(5,5) W(5,6) W(5,7) W(5,8) W(5,9) W(5,10) W(5,11) W(5,12) 0
        %0 0 0 0 0 W(6,6) W(6,7) W(6,8) W(6,9) W(6,10) 0 0 0
        %0 0 0 0 0 0 W(7,7) W(7,8) W(7,9) W(7,10) W(7,11) 0 0
        %0 0 0 0 0 0 0 0 W(8,9) W(8,10) 0 0 0];
Fi_Nn(h+1) =  Fi_2;    
sum_RFn(h+1) = sum (sum(ref_tocke));
end
%povprecje = sum_RF/RF_st
Fi_Nn';
sum_RFn';
figure 
plot ( Fi_Nn',sum_RFn')
 title('DOLOITEV STANDARDNE PARARELE Fi_2 za S AMERIKO  (n-ta iteracija)')
 xlabel('Poloaj standardne paralele Fi_2 []')
 ylabel('Vsota kotnih deformacij na RF_T')
