function [Y_W, X_W, P_W, omega_dms, Epsilon_A1, Eps_m, Eps_n] = WAGNER_I(Fi_0, La_0, Fi, La, a, f, b, eks)

%clc
%clear all
%a = 6378137.000;
%f = 1/298.257223563;
%[b, eks] = Parametri_b_eks(a,f);
%sredina toka projekcije
%Fi_0 = 30;
%La_0 = 20;

%Fi = 50;
%La = 40;

Fi_0_rad = dms2rad(Fi_0);
Fi_rad = dms2rad(Fi);
La_0_rad = dms2rad(La_0);
La_rad = dms2rad(La);

%radi zemlje je taken, da je povrina elipsoida enaka povrini krogle
Qp = 1-((1-eks^2)/(2*eks))*log((1-eks)/(1+eks));
Rq = a*(Qp/2)^(1/2);

%Izraun nadomestnega kotnega parameta Psi
Psi_rad= asin(sqrt(3)/2*sin(Fi_rad));
%Psi_rad = acos(sqrt(1-3/4*sin(Fi_rad)^2))

%Izraun kartezinih koordinat
Y_W = 2*3^(1/4)/3 * Rq*cos(Psi_rad)*(La_rad - La_0_rad);
X_W = 3^(1/4)* Rq * Psi_rad;


%odvodi funkcije X_C in Y_C po Fi in Lambda, da lahko izraunamo m,n,omega
y_Fi = -2*3^(1/4)/3*Rq* sin(Psi_rad)*(1/sqrt(1-(sqrt(3)/2*sin(Fi_rad))^2) * sqrt(3)/2*cos(Fi_rad)) * (La_rad - La_0_rad);
y_La = 2*3^(1/4)/3 * Rq*cos(Psi_rad);

x_Fi = 3^(1/4)* Rq * 1/sqrt(1-(sqrt(3)/2*sin(Fi_rad))^2) * sqrt(3)/2*cos(Fi_rad);
x_La = 0;

%deformacije v smeri meridianov in paralel
m_W = (1/Rq)*(x_Fi^2 + y_Fi^2)^(1/2);
n_W = (1/(Rq*cos(Fi_rad)))*(x_La^2 + y_La^2)^(1/2);


epsilon_rad = atan (-(x_Fi*x_La + y_Fi*y_La)/(x_Fi*y_La - x_La*y_Fi));
%epsi_O = pi/2-epsilon_rad
%O = asin((y_Fi*x_La - x_Fi*y_La)/(Rq^2*m_C*n_C*cos(Fi_rad)))


A = (m_W^2 + n_W^2 + 2*m_W * n_W *  sin(pi/2-epsilon_rad))^(1/2);
B = (m_W^2 + n_W^2 - 2*m_W * n_W * sin(pi/2-epsilon_rad))^(1/2);

a_W = (A+B)/2;
b_W = (A-B)/2;

P_W = a_W * b_W;

omega = 2*asin((a_W - b_W)/(a_W + b_W));
omega_dms = rad2dms(omega);

Epsilon_A1 = sqrt(1/2*((a_W - 1)^2 + (b_W - 1)^2));

Eps_m = abs(m_W - 1);

Eps_n = abs(n_W - 1);
